Bug 462901 - Remove perl dependency
Remove perl dependency
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-09-19 11:30 EDT by Peter Robinson
Modified: 2008-09-28 15:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-28 15:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-09-19 11:30:42 EDT
libbonobo includes the following file /usr/bin/bonobo-slay which is written in perl. I'm not sure what it does and whether it can be moved out to a perl sub package or removed all together. OLPC have had issues with it as well (http://dev.laptop.org/ticket/234). Its a pity to pull in the complete perl dep chain for a single file
Comment 1 John Poelstra 2008-09-19 13:09:19 EDT
adding to f10target... seems like this would be something nice to fix for F10
Comment 2 Ray Strode [halfline] 2008-09-19 14:03:22 EDT
It's just a "my machine is broke, this might fix it" debugging tool.

if you want to just rm -f it in %install i'm okay with that.  The CVS acl should be open for you.

If people complain, we can add a subpackage or port it to shell.  I doubt people will complain though.
Comment 3 Peter Robinson 2008-09-19 17:17:29 EDT
Cool, that's good news... another dep bites the dust. I can do it if now one else has time.
Comment 4 Peter Robinson 2008-09-20 03:29:48 EDT
A perlless libbonobo is now built and waiting the push to rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=834083

Note You need to log in before you can comment on or make changes to this bug.